Bug 201408 - g++ crash on FC5 with -O2
g++ crash on FC5 with -O2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 17:31 EDT by Kobus Barnard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 12:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reprocessed source (290.35 KB, application/octet-stream)
2006-08-04 17:31 EDT, Kobus Barnard
no flags Details

  None (edit)
Description Kobus Barnard 2006-08-04 17:31:31 EDT
Description of problem:

Compiler crash. g++ compiling C code with -O2. It works fine with gcc, and
without the -O2. (I like to compile my source tree with g++ even applied to the
C files to ensure compatability. No problem until today. (It works on an earlier
OS/gcc++ version)). 

Version-Release number of selected component (if applicable):

Linux ski.cs.arizona.edu 2.6.17-1.2157_FC5smp #1 SMP Tue Jul 11 23:24:16 EDT
2006 i686 i686 i386 GNU/Linux

ski-kob ( ~/src/lib/i ) g++ -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk
--disable-dssi --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre
--with-cpu=generic --host=i386-redhat-linux
Thread model: posix
gcc version 4.1.1 20060525 (Red Hat 4.1.1-1)


How reproducible:

Easy on my machine. 

Steps to Reproduce:

g++ i_driver.c -c -o linux_386_p4/prod/g++/i_driver.o \
         -fmessage-length=0  -DLINUX_386 -DLINUX_386_P4     -DNODEBUG -O2      
                        \
        -Wall -Wpointer-arith -Wcast-qual -Wcast-align -W -Wshadow
-Wwrite-strings -Wuninitialized  \
        -DPROGRAMMER_IS_kobus -DPROGRAMMER=\"kobus\" \
        -DKJB_HAVE_X11 -DKJB_HAVE_TIFF -DKJB_HAVE_JPEG             \
         -I./ -I../../lib/  \
         -I/home/kobus/include -I/home/kobus/include/linux_386_p4                 \
          -idirafter ../../include_after \
        



  
Actual results:

i_driver.c: In function ‘int process_option(const char*, const char*)’:
i_driver.c:887: internal compiler error: in try_look_through_load, at
tree-ssa-pre.c:2155
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccyRw0Sf.out file, please attach this to
your bugreport.
make: *** [linux_386_p4/prod/g++/i_driver.o] Error 1


Expected results:

   Compiled code. :-) 

Additional info:

   See attached preprocessed source.
Comment 1 Kobus Barnard 2006-08-04 17:31:31 EDT
Created attachment 133667 [details]
reprocessed source
Comment 2 Jakub Jelinek 2006-08-09 12:16:14 EDT
Fix verified in both gcc-4.1.1-5 and 4.1.1-14 (rawhide).

Note You need to log in before you can comment on or make changes to this bug.